# Class InputFileException

java.lang.Object
java.lang.Throwable
java.lang.Exception
ecoparasite.input.InputFileException

All Implemented Interfaces:
  `Serializable`

public class InputFileException extends Exception
Est déclenché si une erreur est survenue lors de la lecture d'un fichier.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputFileException(String dataFilePath)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getMessage()`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InputFileException

    public InputFileException(String dataFilePath)

- ## Method Details

  - ### getMessage

    public String getMessage()
    Overrides:
      `getMessage` in class `Throwable`